from setuptools import setup, find_packages

from inventree_phomemo.version import PHOMEMO_PLUGIN_VERSION

with open('README.md', encoding='utf-8') as f:
    long_description = f.read()

setup(
    name = "inventree-phomemo-plugin",
    version = PHOMEMO_PLUGIN_VERSION,
    author = "Sergal.engineering",
    author_email = "zener@theserg.al",
    license = "MIT",
    description = "Phomemo label plugin for InvenTree",
    long_description = long_description,
    long_description_content_type = 'text/markdown',
    keywords = "inventree phomemo label plugin",
    url = "https://git.merp.digital/sergal-engineering/inventree-phomemo-plugin/",

    packages = find_packages(),
    scripts = [],

    install_requires = [],

    entry_points = {
        'inventree_plugins': [ 'PhomemoLabelPlugin = inventree_phomemo.phomemo_label:PhomemoLabelPlugin' ]
    }
)
